Page MenuHomePhabricator

Repositories integrated into Codehealth Pipeline (Production)
Open, In Progress, LowPublic

Description

The QTE Team is currently responsible for maintaining the Codehealth pipeline, a project of the Code Health Group and Code Health Metrics.

At the moment, it is enabled for a handful of MediaWiki extensions. Our goal is to integrate the Codehealth pipeline in as many repositories as we can.

Here is a list of the repositories that have already been incorporated into the Codehealth pipeline and those that we plan to do soon. The list below focuses solely on production-only repositories.

Documentation: mw:SonarQube Scanner

( Repositories marked with ?? are not in Gerrit hence ignored for now )

Total Integrated Percentage12%
:Base
:Core
repositoryintegrated - 13%
mediawiki/extensions/3D
mediawiki/extensions/AbuseFilter
mediawiki/extensions/ActiveAbstract
mediawiki/extensions/AdvancedSearch
mediawiki/extensions/AntiSpoof
mediawiki/extensions/ApiFeatureUsage
mediawiki/extensions/ArticleCreationWorkflow
mediawiki/extensions/ArticlePlaceholder
mediawiki/extensions/Babel
mediawiki/extensions/BetaFeatures
mediawiki/extensions/BounceHandler
mediawiki/extensions/Calendar
mediawiki/extensions/Campaigns
mediawiki/extensions/CampaignEvents
mediawiki/extensions/Capiunto
mediawiki/extensions/CategoryTree
mediawiki/extensions/CentralAuth
mediawiki/extensions/CentralNotice
mediawiki/extensions/CharInsert
mediawiki/extensions/CheckUser889182
mediawiki/extensions/ChessBrowser
mediawiki/extensions/CirrusSearch
mediawiki/extensions/Cite
mediawiki/extensions/CiteThisPage
mediawiki/extensions/Citoid
mediawiki/extensions/cldr
mediawiki/extensions/CodeEditor
mediawiki/extensions/CodeMirror
mediawiki/extensions/Cognate
mediawiki/extensions/Collection
mediawiki/extensions/CommonsMetadata
mediawiki/extensions/ConfirmEdit
mediawiki/extensions/ContactPage
mediawiki/extensions/ContentTranslation889201
mediawiki/extensions/CreditsSource
mediawiki/extensions/Dashiki
mediawiki/extensions/Disambiguator
mediawiki/extensions/DiscussionTools889187
mediawiki/extensions/DismissableSiteNotice889197
mediawiki/extensions/DonationInterface
mediawiki/extensions/DoubleWiki
mediawiki/extensions/Echo
mediawiki/extensions/Elastica
mediawiki/extensions/ElectronPdfService
mediawiki/extensions/EntitySchema
mediawiki/extensions/EventBus
mediawiki/extensions/EventLogging
mediawiki/extensions/EventStreamConfig
mediawiki/extensions/ExtensionDistributor
mediawiki/extensions/ExternalGuidance
mediawiki/extensions/FeaturedFeeds
mediawiki/extensions/FileExporter
mediawiki/extensions/FileImporter
mediawiki/extensions/FlaggedRevs
mediawiki/extensions/Flow
mediawiki/extensions/FundraiserLandingPage
mediawiki/extensions/FundraisingTranslateWorkflow
mediawiki/extensions/Gadgets895329
mediawiki/extensions/GeoCrumbs
mediawiki/extensions/GeoData
mediawiki/extensions/GlobalBlocking1006886
mediawiki/extensions/GlobalCssJs
mediawiki/extensions/GlobalPreferences
mediawiki/extensions/GlobalUsage
mediawiki/extensions/GlobalUserPage
mediawiki/extensions/GlobalWatchlist
mediawiki/extensions/GoogleNewsSitemap
mediawiki/extensions/Graph
mediawiki/extensions/GrowthExperiments
mediawiki/extensions/GuidedTour
mediawiki/extensions/GWToolset
mediawiki/extensions/ImageMap
mediawiki/extensions/ImageSuggestions
mediawiki/extensions/InputBox
mediawiki/extensions/Insider
mediawiki/extensions/intersection
mediawiki/extensions/Interwiki
mediawiki/extensions/InterwikiSorting
mediawiki/extensions/IPInfo
mediawiki/extensions/Josa
mediawiki/extensions/JsonConfig
mediawiki/extensions/Kartographer887296
mediawiki/extensions/LabeledSectionTransclusion
mediawiki/extensions/LandingCheck
mediawiki/extensions/LdapAuthentication
mediawiki/extensions/Linter
mediawiki/extensions/LiquidThreads
mediawiki/extensions/Listings
mediawiki/extensions/LoginNotify
mediawiki/extensions/MachineVision
mediawiki/extensions/MapSources
mediawiki/extensions/MassMessage
mediawiki/extensions/Math
mediawiki/extensions/MediaModeration
mediawiki/extensions/MediaSearch
mediawiki/extensions/MobileApp
mediawiki/extensions/MobileFrontend
mediawiki/extensions/MultimediaViewer
mediawiki/extensions/NavigationTiming
mediawiki/extensions/NearbyPages
mediawiki/extensions/Newsletter
mediawiki/extensions/NewUserMessage
mediawiki/extensions/Nuke
mediawiki/extensions/OATHAuth
mediawiki/extensions/OAuth
mediawiki/extensions/OAuthRateLimiter
mediawiki/extensions/OpenStackManager
mediawiki/extensions/ORES
mediawiki/extensions/PageAssessments
mediawiki/extensions/PagedTiffHandler
mediawiki/extensions/PageImages
mediawiki/extensions/PageNotice
mediawiki/extensions/PageTriage
mediawiki/extensions/PageViewInfo
mediawiki/extensions/ParserFunctions
mediawiki/extensions/PdfHandler
mediawiki/extensions/Phonos
mediawiki/extensions/Poem
mediawiki/extensions/PoolCounter
mediawiki/extensions/Popups
mediawiki/extensions/ProofreadPage
mediawiki/extensions/PropertySuggester
mediawiki/extensions/QuickSurveys
mediawiki/extensions/Quiz
mediawiki/extensions/ReadingLists
mediawiki/extensions/RelatedArticles
mediawiki/extensions/RevisionSlider
mediawiki/extensions/RSS
mediawiki/extensions/SandboxLink
mediawiki/extensions/Score
mediawiki/extensions/Scribunto
mediawiki/extensions/SearchExtraNS
mediawiki/extensions/SearchVue
mediawiki/extensions/SecureLinkFixer
mediawiki/extensions/SecurePoll
mediawiki/extensions/ShortUrl
mediawiki/extensions/SimilarEditors
mediawiki/extensions/SiteMatrix
mediawiki/extensions/SpamBlacklist
mediawiki/extensions/StopForumSpam
mediawiki/extensions/SubPageList3
mediawiki/extensions/SubpageSortkey
mediawiki/extensions/SyntaxHighlight_GeSHi
mediawiki/extensions/TemplateData
mediawiki/extensions/TemplateSandbox
mediawiki/extensions/TemplateStyles
mediawiki/extensions/TemplateWizard
mediawiki/extensions/TextExtracts
mediawiki/extensions/Thanks
mediawiki/extensions/TheWikipediaLibrary
mediawiki/extensions/TimedMediaHandler
mediawiki/extensions/timeline
mediawiki/extensions/TitleBlacklist
mediawiki/extensions/TocTree
mediawiki/extensions/TorBlock
mediawiki/extensions/Translate
mediawiki/extensions/TranslationNotifications
mediawiki/extensions/TrustedXFF
mediawiki/extensions/TwoColConflict
mediawiki/extensions/UniversalLanguageSelector
mediawiki/extensions/UploadsLink
mediawiki/extensions/UploadWizard
mediawiki/extensions/UrlShortener
mediawiki/extensions/VipsScaler
mediawiki/extensions/VisualEditor886921
mediawiki/extensions/WebAuthn
mediawiki/extensions/Wikibase
mediawiki/extensions/WikibaseCirrusSearch
mediawiki/extensions/WikibaseLexeme
mediawiki/extensions/WikibaseLexemeCirrusSearch
mediawiki/extensions/WikibaseManifest
mediawiki/extensions/WikibaseMediaInfo
mediawiki/extensions/WikibaseQualityConstraints
mediawiki/extensions/Wikidata.org
mediawiki/extensions/WikidataPageBanner
mediawiki/extensions/WikiEditor892528
mediawiki/extensions/wikihiero
mediawiki/extensions/WikiLambda
mediawiki/extensions/WikiLove
mediawiki/extensions/WikimediaApiPortalOAuth
mediawiki/extensions/WikimediaBadges
mediawiki/extensions/WikimediaEditorTasks
mediawiki/extensions/WikimediaEvents
mediawiki/extensions/WikimediaIncubator
mediawiki/extensions/WikimediaMaintenance
mediawiki/extensions/WikimediaMessages
mediawiki/extensions/Wikisource
mediawiki/extensions/Wikispeech
mediawiki/extensions/WikispeechSpeechDataCollector
mediawiki/extensions/Wikistories895333
mediawiki/extensions/XAnalytics
mediawiki/skins/CologneBlue
mediawiki/skins/MinervaNeue
mediawiki/skins/Modern
mediawiki/skins/MonoBook
mediawiki/skins/Nostalgia
mediawiki/skins/Timeless
mediawiki/skins/Vector
mediawiki/skins/WikimediaApiPortal
mediawiki/vendor
VisualEditor/VisualEditor
:Services

Details

SubjectRepoBranchLines +/-
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+7 -0
integration/configmaster+62 -1
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+1 -0
integration/configmaster+16 -28
integration/configmaster+7 -1
integration/configmaster+125 -0
integration/configmaster+7 -3
integration/configmaster+3 -3
integration/configmaster+9 -2
integration/configmaster+1 -0
Show related patches Customize query in gerrit

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 955362 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/ReplaceText] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/955362

Mentioned in SAL (#wikimedia-releng) [2023-09-07T19:20:03Z] <hashar> Reloaded Zuul to enable codehealth on MinervaNeue, MonoBook, OATHAuth and ReplaceText # T321837

Change 957740 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/Interwiki] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/957740

Change 957741 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/ParserFunctions] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/957741

Change 957742 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/skins/Timeless] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/957742

Change 957743 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/skins/CologneBlue] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/957743

Change 957743 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/skins/CologneBlue] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/957743

Change 957740 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/Interwiki] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/957740

Change 957741 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/ParserFunctions] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/957741

Change 957742 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/skins/Timeless] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/957742

Mentioned in SAL (#wikimedia-releng) [2023-09-15T13:40:10Z] <hashar> Reloading Zuul to enable SonarQube for CologneBlue, Interwiki, ParserFunctions and Timeless # T321837

Change 962604 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/skins/Nostalgia] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/962604

Change 962605 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/ProofreadPage] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/962605

Change 962606 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/UrlShortener] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/962606

Change 962607 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/TwoColConflict] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/962607

Change 962604 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/skins/Nostalgia] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/962604

Change 962605 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/ProofreadPage] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/962605

Change 962607 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/TwoColConflict] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/962607

Change 962606 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/UrlShortener] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/962606

Mentioned in SAL (#wikimedia-releng) [2023-10-03T07:28:03Z] <hashar> Reloaded Zuul to enable SonarQube on Nostalgia, ProofreadPage, TwoColConflict and UrlShortener # T321837

Mentioned in SAL (#wikimedia-releng) [2023-10-03T07:51:09Z] <hashar> Reloaded Zuul to enable SonarQube on Nostalgia, ProofreadPage, TwoColConflict and UrlShortener # T321837

Change 968688 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/Thanks] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/968688

Change 968689 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/UniversalLanguageSelector] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/968689

Change 968690 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/SecurePoll] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/968690

Change 968691 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/skins/WikimediaApiPortal] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/968691

Change 968690 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/SecurePoll] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/968690

Change 968688 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/Thanks] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/968688

Change 968689 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/UniversalLanguageSelector] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/968689

Change 968691 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/skins/WikimediaApiPortal] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/968691

Mentioned in SAL (#wikimedia-releng) [2023-10-25T14:25:22Z] <hashar> Reloaded Zuul to enable Sonar Codehealth on SecurePoll, Thanks, UniversalLanguageSelector, WikimediaApiPortal # T321837

Change 974522 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/CiteThisPage] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/974522

Change 974523 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/InputBox] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/974523

Change 974524 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/SpamBlacklist] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/974524

Change 974525 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/skins/Modern] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/974525

Change 974522 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/CiteThisPage] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/974522

Change 974523 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/InputBox] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/974523

Change 974524 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/SpamBlacklist] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/974524

Change 974525 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/skins/Modern] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/974525

Mentioned in SAL (#wikimedia-releng) [2023-11-15T13:45:13Z] <hashar> Reloaded Zuul to enable SonarQube code health job for CiteThisPage, InputBox, SpamBlacklist extensions and Modern skin # T321837

Change 978492 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/Nuke] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/978492

Change 978494 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/PdfHandler] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/978494

Change 978495 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/Poem] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/978495

Change 978492 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/Nuke] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/978492

Change 978494 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/PdfHandler] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/978494

Change 978495 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/Poem] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/978495

Mentioned in SAL (#wikimedia-releng) [2023-11-29T13:20:14Z] <hashar> Reloaded Zuul to enable Sonar Codehealth on Nuke, PdfHandler and Poem # T321837

Change 982812 had a related patch set uploaded (by Hashar; author: Kosta Harlan):

[integration/config@master] zuul: Add codehealth template to MediaModeration

https://gerrit.wikimedia.org/r/982812

Change 982812 merged by jenkins-bot:

[integration/config@master] zuul: Add codehealth template to MediaModeration

https://gerrit.wikimedia.org/r/982812

Mentioned in SAL (#wikimedia-releng) [2023-12-13T21:23:02Z] <hashar> Reload Zuul for Add codehealth template to MediaModeration # T321837

Change 992984 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/Wikisource] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/992984

Change 992985 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/XAnalytics] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/992985

Change 993006 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/CodeMirror] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/993006

Change 993007 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/GuidedTour] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/993007

Change 993006 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/CodeMirror] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/993006

Change 993007 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/GuidedTour] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/993007

Change 992984 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/Wikisource] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/992984

Change 992985 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/XAnalytics] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/992985

Mentioned in SAL (#wikimedia-releng) [2024-01-25T20:39:49Z] <hashar> Reloaded Zuul to enable Sonar Codehealth on CodeMirror, GuidedTour, Wikisource and XAnalytics # T321837

Change 997862 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/CentralNotice] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/997862

Change 997863 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/TemplateWizard] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/997863

Change 997864 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/cldr] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/997864

Change 997886 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/Citoid] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/997886

Change 997862 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/CentralNotice] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/997862

Change 997886 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/Citoid] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/997886

Change 997864 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/cldr] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/997864

Change 997863 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/TemplateWizard] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/997863

Mentioned in SAL (#wikimedia-releng) [2024-02-06T14:57:09Z] <hashar> Reloaded Zuul to enable Sonar Codehealth on CentralNotice, Citoid, cldr and TemplateWizard # T321837

Change 1005778 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/ContactPage] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/1005778

Change 1005781 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/Disambiguator] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/1005781

Change 1005782 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/ReadingLists] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/1005782

Change 1005783 had a related patch set uploaded (by Pwangai; author: Pwangai):

[integration/config@master] Zuul: [mediawiki/extensions/FlaggedRevs] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/1005783

Change 1005778 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/ContactPage] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/1005778

Change 1005781 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/Disambiguator] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/1005781

Change 1005783 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/FlaggedRevs] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/1005783

Change 1005782 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/ReadingLists] Enable Sonar Codehealth

https://gerrit.wikimedia.org/r/1005782

Mentioned in SAL (#wikimedia-releng) [2024-02-22T16:35:59Z] <hashar> Reloaded Zuul to enable Sonar Codehealth on ContactPage, Disambiguator, FlaggedRevs and ReadingLists # T321837

Change 1006886 had a related patch set uploaded (by Kosta Harlan; author: Dreamy Jazz):

[integration/config@master] Enable 'extension-codehealth' for GlobalBlocking

https://gerrit.wikimedia.org/r/1006886

Change 1006886 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/GlobalBlocking] Enable 'extension-codehealth'

https://gerrit.wikimedia.org/r/1006886

Mentioned in SAL (#wikimedia-releng) [2024-02-27T13:54:11Z] <James_F> Zuul: [mediawiki/extensions/GlobalBlocking] Enable 'extension-codehealth' for T321837